Differences between revisions 161 and 162
Revision 161 as of 2019-04-05 20:59:23
Size: 4916
Editor: tkadm30
Comment:
Revision 162 as of 2019-04-05 22:11:26
Size: 4740
Editor: tkadm30
Comment: update
Deletions are marked like this. Additions are marked like this.
Line 55: Line 55:
|| django-hotsauce || 0.9.5 || Required || Core WSGI library || [[https://pypi.org/project/django-hotsauce/|Homepage]] || Apache2 ||
|| libdurus || 3.9.2 || Recommended || Durus 3.9 backend || see [[Durus]] || CNRI/Durus 3.9 license ||
|| libschevo || 4.0.1 || Recommended || Schevo 4.0 frontend || see [[Schevo]] || MIT ||
|| libxdserver || 3.9.2 || Recommended || Server and client proxy for Schevo databases || [[https://www.isotopesoftware.ca/software/django-hotsauce/|Homepage]] || MIT ||
|| libauthkit || 0.5.0
|| Recommended || Authentication and authorization framework || [[https://www.isotopesoftware.ca/software/libauthkit/|Homepage]] || BSD ||
|| blogengine2 || 0.8.2 || Recommended || Blog/RSS publishing extension || [[https://www.isotopesoftware.ca/software/blogengine2/|Homepage]] || Apache2 ||
|| wikiapp || 0.8.2|| Optional || MoinMoin stand-alone extension (WSGI middleware) || [[http://moinmo.in|Homepage]] || GPL ||
|| django-hotsauce-oauthclient || 0.2 || Optional || OAuth2.0 middleware for Django || [[https://www.isotopesoftware.ca/software/django-hotsauce-oauthclient/|Homepage]] || BSD ||
|| django-hotsauce || 0.9.8 || Required || Core WSGI library || [[https://pypi.org/project/django-hotsauce/|Homepage]] || Apache2 ||
|| libdurus || 4.1 || Recommended || Durus 3.9 backend || see [[Durus]] || CNRI/Durus 3.9 license ||
|| libschevo || 4.1 || Recommended || Schevo 4.0 frontend || see [[Schevo]] || MIT ||
|| libauthkit || 0.5.2 || Recommended || Authentication and authorization framework || [[https://www.isotopesoftware.ca/software/libauthkit/|Homepage]] || BSD ||
|| blogengine2 || 0.9.8 || Recommended || Blog/RSS publishing extension || [[https://www.isotopesoftware.ca/software/blogengine2/|Homepage]] || Apache2 ||
|| wikiapp || 0.9.8|| Optional || MoinMoin stand-alone extension (WSGI middleware) || [[http://moinmo.in|Homepage]] || GPL ||
|| django-hotsauce-oauthclient || 0.3 || Optional || OAuth2.0 middleware for Django || [[https://www.isotopesoftware.ca/software/django-hotsauce-oauthclient/|Homepage]] || BSD ||

Django-hotsauce for Linux

Synopsis

Django-hotsauce is a full-scale web development microframework for WSGI-based web programming. Moreover, the django-hotsauce software distribution is a blend of high-quality and functional libraries specially chosen for their interoperability and their reliability for secure web programming, and robust server-mode operations in multi-user environments, blog sites, and ecommerce shops.

What's new

  • Django-hotsauce 0.9.8 is out! (current)
  • Django-hotsauce 0.9.6 (LTS/PyPy) is out! (previous stable release, pypy, non-free)
  • Django-hotsauce 1.0 (LTS/Cython) is out!
  • Django-hotsauce 0.9.5 is out! (previous stable release, pypy, free)
  • Django-hotsauce 0.9.4.1 is out!
  • Django-hotsauce 0.9.4 is out!
  • Django-hotsauce 0.9.3 is out!
  • Django-hotsauce 0.9.2 is out!
  • Django-hotsauce 0.9.1 is out!
  • Django-hotsauce 0.9.0 is out!
  • Django-hotsauce 0.8.2 is out!
  • Django-hotsauce 0.8.1 is out!
  • Django-hotsauce 0.8.0 is out!
  • Django-hotsauce now support Python 3.5.9!
  • Django-hotsauce 0.7.9 is out!
  • Django-hotsauce now support PyPy 5.9.0!

  • Django-hotsauce 0.7.8 is out!

Features

  • Full-stack, high-performance, and scalable web development toolkit based on Python.
  • Secure environment for pragmatic Python/WSGI programming under Linux systems.
  • Native support for nginx webserver in uWSGI mode.
  • OpenSSL ready.
  • Extensible testing environment based on unittest2 framework
  • Native bindings for Schevo (Durus, ZODB)

  • Native bindings for Django

  • Native bindings for MoinMoin, and LibAuthKit projects

  • Thread-local HTTP request proxying support. (Werkzeug)
  • Google OAuth/2.0 support. (oauthlib)
  • SQLAlchemy and Elixir support

  • Epoll support (Linux)
  • Memcached support (Beaker)
  • Mako templates (UTF-8/16) rendering support
  • Experimental JIT support (PyPy 5.10)

  • Experimental Python 3.7 support (new)

Supported Python applications

Requirements

See the requirements.

Standard components

Package

Version

Dependency

Description

Web site

License

django-hotsauce

0.9.8

Required

Core WSGI library

Homepage

Apache2

libdurus

4.1

Recommended

Durus 3.9 backend

see Durus

CNRI/Durus 3.9 license

libschevo

4.1

Recommended

Schevo 4.0 frontend

see Schevo

MIT

libauthkit

0.5.2

Recommended

Authentication and authorization framework

Homepage

BSD

blogengine2

0.9.8

Recommended

Blog/RSS publishing extension

Homepage

Apache2

wikiapp

0.9.8

Optional

MoinMoin stand-alone extension (WSGI middleware)

Homepage

GPL

django-hotsauce-oauthclient

0.3

Optional

OAuth2.0 middleware for Django

Homepage

BSD

django-livestore

1.0-beta2

Optional

Ecommerce framework

Homepage

Apache2

Author (and maintainer)

Community and support

Mailing list

Developers wanted

  • The django-hotsauce project is actively looking for skilled Python developers for improving the open-source branch!

Commercial Editions (Long-term support branches)

Known issues

Documentation

Source code

* Stable releases are available from here and on PyPi.

Tkadm30/DjangoHotSauce (last edited 2019-04-05 22:11:26 by tkadm30)

Unable to edit the page? See the FrontPage for instructions.